ZoomLevel = {
  far = 0,
  default = 1,
  close = 2
}

ScrollState = {
  hidden = 0,
  default = 1,
  collected = 2,
  persistent = 3
}

MovementStyle = {
  walking = 0,
  running = 1
}

AiState = {
  sleeping = 0,
  default = 1,
  wondering = 2,
  seeking = 3,
  menacing = 4,
  fleeing = 5,
  attacking = 6,
  script = 7
}

AiAlertState = {
  default = 0,
  suspicious = 1,
  alert = 2
}

AiEvent = {
  seesBody = 8,
  loseConsciousness = 14
}

ActorAction = {
  nothing = 0,
  marching = 1,
  targetHold = 2,
  targetHoldHigh = 3,
  shoot = 4,
  initiateCombat = 5,
  --unkown = 6
  block = 7,
  stab1 = 8,
  stab2 = 9,
  strikeDown = 10,
  strikeLeftToRight = 11,
  strikeRightToLeft = 12,
  halfCircleClockwise = 13,
  halfCircleCounterClockwise = 14,
  fullCircleClockwise = 15,
  fullCircleCounterClockwise = 16,
  lookLeft = 17,
  lookRight = 18,
  targetStop = 19,
  --unkown = 20
  crouch = 20
}

Postureid = {
	nothing = 0,
	falldown = 2, 
	crouch = 10, -- heroes
	dead = 15, -- killing
	sitting = 16,
	stunned = 17
}

AnimationAction = {
  standingBored = 0,
  standing = 1,
  standingStart = 2,
  waiting = 3,
  standingEnd = 4,
  walkStart = 5,
  walk = 6, 
  walkFast = 7, -- near numbers for start stop walk animation 
  walkStop = 8,
  runStart = 9,
  run = 10,
  run2 = 11,
  runStop = 12,
  crouchStart = 13, -- Only heroes
  crouch = 14,
  crouchWalkStart = 15,
  crouchWalk = 16,	
  crouchWalkStop = 17,
  crouchEnd = 18,
  climbBranchesStart = 19,
  climbBranchesUp = 20,
  climbBranchesDown = 21,
  climbBranchesUpEnd = 22,
  climbBranchesDownEnd = 23,
  climbBranchesDownEnd2 = 24,
  jumpStart = 25,
  jump  = 26,
  jumpEnd = 27,  
  jumpEnd2 = 28,
  jumpStart2 = 29,
  jumpEnd3 = 30,
  jump2  = 31,
  jumpStone  = 32,
  jumpStoneEnd = 33,	--Only heroes End
  stairStartDownUp = 34,
  stairDownUP = 35,
  stairEndDownUp = 36,
  stairStartUpDown = 37,
  stairUpDown = 38,
  stairEndUpDown = 39,
  hitArrow = 40,
  fallDownDead = 41,
  crouchArrowHit = 42,	-- Only heroes
  heroesFallDeadDown = 43,	-- Only heroes
  layingDown = 44,
  deadUp = 45,
  heroesFallDeadUp = 46, -- Only heroes
  deadDown = 47,
  stunned = 48,
  standingUp = 49,
  walkFast2 = 50,
  walkFastStop = 51,
  raisingSword = 52, -- Combact animation for all units
  loweringSword = 53,
  waitingSword = 54, 
  walkAttackingfoward = 55,
  walkAttacking = 56,
  walkAttackingLx = 57,
  walkAttackingRx = 58,
  walkAttackingB = 59,
  attackRightToLeft = 60,
  attackLeftToRight = 61,
  block1 = 62,
  attackDownRightToLeft = 63,
  attackDownLeftToRight = 64,
  hit = 65,
  blockRight = 66,
  attackSink = 67,
  attackSink2 = 68,
  attackRightToLeft2 = 69,
  attackLeftToRight2 = 70,
  attackRightToLeft3 = 71,
  attackLeftToRight3 = 72,
  attackRightToLeft4 = 73,
  attackLeftToRight4 = 74,
  specialAttack = 75,
  blockStart = 76,
  block = 77,
  blockEnd = 78, 
  attacksinkJump = 79, 
  --------------------------------------------------------Unkown = 80,  
  crouchStart2 = 81, -- Only heroes
  crouchEnd2 = 82,
  RunCrouchtStart = 83,
  RunCrouchtEnd = 84,	-- End
  archerHoldOnStart = 85,
  archerHoldOnEnd = 86,
  archerHoldOnRecharge = 87,
  archerHoldOnSheathes = 88,
  archerHoldOn= 89,
  archerHoldOnUpStart = 90,
  archerHoldOnUpEnd = 91,
  archerHoldOnUp = 92,
  archerShootWithSound = 93,
  archerShootUpWithSound = 94,
  --------------------------------------------------------Unkown2 = 95,  
  provoking = 96,
  runJump = 97, -- Only Heroes
  StrangeMove = 98, -- Robin strange move
  freezeJump = 99, -- Only Heroes
  attackDown = 100,
  staminaRecover = 101,
  hit2 = 102,
  block2 = 103,
  hitArrowOnGuard = 104,
  toDeadDown = 105,
  deadDownWithSword = 106, 
  layingDownWithSword = 107,
  stunnedWithSword = 108,
  deadUpWithSword = 109,
  standingWithSword = 110,
  archerHit = 111,	-- archer and crossbowman Hold on
  archerDeadDowntransition = 112,
  archerDeadDown = 113,
  archerDeadStunUptransition = 114,
  archerStunnedUp = 115,
  archerDeadUp = 116,
  archerStunGetUp = 117,	--
  transportStart = 118,
  transport = 119,
  transportEnd = 120,
  transport2 = 121,
  takeFromGround = 122,
  fistPunch = 123,
  throwTheMoneyBag = 124, -- Robin Ability Bag
  throwTheMoneyBagMendicant = 125, -- Heroes give Bag to Mendicant
  collectMoney = 126, -- Only Heroes
  roll = 127,
  climbsJohnStart = 128, -- Robin climbs John
  downFromJohnStart = 129, 
  onJohn = 130, 
  onJohnJumpStart = 131, 
  onJohnJumpEnd = 132, -- End Robin on John
  onGround = 133,
  cloacked = 134, -- Only Heroes
  cloackedOff = 135, 
  underLeaves = 136, 
  underLeavesOff = 137,
  pullRope = 138,
  cutRope = 139, -- End
  alerted = 140,
  alertedStart = 141,
  alertedEnd = 142,
  alertedWalk = 143,
  alertedEnd2 = 144,
  alerted2 = 145,
  alertedRunStart = 146,
  alertedRun = 147,
  alertedRunEnd = 148,
  alerted3 = 149,
  alertedWalkFast = 150,
  alertedWalkFast2 = 151,
  attackCaptureDown = 152,
  attackCaptureDownStart = 153,
  attackCaptureDownEnd = 154,
  unbalancedBack = 155, -- probably strangled
  attackInMovement = 156,
  --------------------------------------------------------Unkown3 = 157,  
  standingToSitting = 158,
  sitting = 159,
  sittingToStanding = 160,
  hellabardierSleepStart = 161, -- lancer too
  hellabardierSleep = 162,
  hellabardierSleepEnd = 163, --
  unbalancedBack2 = 164, -- probably strangled
  takeFromGroundDrink = 165,
  hornetNest = 166,
  --------------------------------------------------------Unkown3 = 167, 
  --------------------------------------------------------Unkown3 = 168,  
  takeFromGround2 = 169,
  raisingShield = 170,
  waitingShield = 171,
  repelArrow = 172,
  loweringShield = 173,
  walkShield = 174, -- Will Scarlet
  walkShieldBack = 175,
  walkShieldRight = 176,
  walkShieldLeft = 177, -- End
  transport3 = 178,
  transport4 = 179,
  supportStart = 180, -- Little John support to Robin
  supportEnd = 181,
  support = 182,
  supportUp = 183,
  stikPlant = 184,
  strangeMove = 185,
  corpseOnWalkStart = 186,
  corpseOnWalk = 187,
  corpseOnWalkEnd = 188, -- End
  takeCorpseFromGround = 189,
  --------------------------------------------------------Unkown3 = 190 - 198, 
  supportRobinOn = 199, -- Little John
  supportRobinOnStart = 200, 
  supportRobinOnWalk = 201, -- End
  lookRight = 202,
  lookLeft = 203,
  onGuardLookRight = 204,
  onGuardLookLeft = 205,
  showingRightArmIndication = 206,
  lookDownStart = 207,
  lookDown = 208,
  lookDownEnd = 209,
  targetHit = 210, -- mabye for civilian
  --------------------------------------------------------Unkown3 = 211 - 214, 
  runEnd = 215,
  gatheringSoldiers = 216, -- guardpose for soldier
  cure = 217,
  apple = 218,
  tied = 219,
  sling = 220, -- Only Will Scarlet
  --------------------------------------------------------Unkown3 = 221 - 226, 
  stair2StartUp = 227,
  stair2Up = 228,
  stair2EndUp = 229,
  stair2StartDown = 230,
  stair2Down = 231,
  stair2EndDown = 232,
  archerAlertedEnd = 233,
  archerHoldonToDown = 234,
  archerHoldonToUp = 235,
  archerHoldonDown = 236,
  archerShotDown = 237,
  opendLockDoor = 239,
  tiedAction = 240,
  bearDown = 241, -- Only Tuc
  stuteleySitting = 242, -- Only stuteley
  nestThrow = 243, -- Only Tuc
  strangle = 244, -- Only Will
  takeFromGround3 = 245, -- End
  stuteleyStandingToSitting = 246, -- Only stuteley
  stuteleySittingToStanding = 247, 
  stuteleyTakeNet = 248, -- End
  supportRobinOnEnd = 249, -- Only Little John
  wheeping = 250, -- Only woman civilian
  spyStart = 251, -- Only marian
  spy = 252,
  spyEnd = 253,	-- End
  whistle = 254, -- Only John & Merry C
  jumpUp3 = 255, -- Only Robin & Will
  jumpDown3 = 256, -- End
  --------------------------------------------------------Unkown3 = 257 - 267, 
  nothing = 268, -- nothing, mabye not for soldier
  specialStart = 269,
  special = 270,
  specialEnd = 271,
  robinCapeBowStart = 272, -- Only Robin
  robinCapeBowEnd = 273,
  robinCapeBowArrowStart = 274,
  robinCapeBowArrowEnd = 275,
  robinCapeBowArrow = 276,
  robinCapeBowArrowTransitionDownUp = 277,
  robinCapeBowArrowTransitionUpDown = 278,
  robinCapeBowArrowUp = 279,
  robinCapeBowArrowShot = 280,
  robinCapeBowArrowUpShot = 281,
  robinOnGroundWork = 282, -- End
  --------------------------------------------------------From here animation repeat randomly
  heroeRandomAnim = 284, -- Robin jump, Will climb, other dead
  stangind = 285, -- until 289 all standing
  stangind2 = 290, -- Not work for robin
  heroeRandomAnim2 = 291,
  tucPray = 292, -- Only Tuc
  stangind3 = 293,
  stangind3Start = 294,
  stangind4 = 295,
  robinWalkDirection = 298,
  archerStrangeAttack = 299, --mabye not for archer
  BasicMoveWhenBored = 300
 
}

PersistentProperty = {
  arrows = 0,
  money = 1,
  hitpoints = 2,
  knockOutTimer = 3,
  purses = 4,
  rocks = 5,
  apples = 6,
  beer = 7,
  lamb = 8,
  herbs = 9,
  nets = 10,
  wasps = 11,
  nameID = 12
}

ActorDirection = {
  north = 0,
  northNorthEast = 1,
  northEast = 2,
  eastNorthEast = 3,
  east = 4,
  eastSouthEast = 5,
  soutEast = 6,
  southSouthEast = 7,
  south = 8,
  southSouthWest = 9,
  southWest = 10,
  westSouthWest = 11,
  west = 12,
  westNorthWest = 13,
  northWest = 14,
  northNorthWest = 15
}